<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Bootstrap Introduction</title>
	<link rel="stylesheet" href="./mini-activity.css" type="text/css">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	
</head>
<body>
	<!-- navbar -->
	<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" href="#">Navbar</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarMenu" aria-controls="navbarMenu" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarMenu">
    <ul class="navbar-nav mx-auto">
      <li class="nav-item">
        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Link</a>
      </li>
      
    </ul>
    
  </div>
</nav>
<!-- end of navbar -->
	<h1 class="text-primary text-center">Hello World! Feat. Bootstrap.</h1>
	<h2 class="text-danger bg-secondary text-center">Bootstrap Makes CSS Easier</h2>
	<!-- <button type="button" class="btn btn-primary btn-lg btn-block">
	Block level button</button> -->
	<div class="bg-dark">
		<h2 class="text-center">Classes for Text Color</h2>
		<p class="text-primary">Primary</p>
		<p class="text-danger">Danger</p>
		<p class="text-success">Success</p>
		<p class="text-secondary">Secondary</p>
		<p class="text-warning">Warning</p>
		<p class="text-info">Info</p>

	</div>
	<div class="bg-secondary">
		<h2 class="text-center">Text Color Classes Continued.</h2>
		<p class="text-light">Light</p>
		<p class="text-dark">Dark</p>
		<p class="text-white">White</p>
	</div>
	<div class="text-center">
		<h2>Classes for Background colors</h2>
		<div class="bg-primary p-5">
			BG Primary
			<div class="bg-transparent">
				BG Transparent
			</div>
		</div>
		<div class="bg-secondary">
			BG Secondary
		</div>
		<div class="bg-danger">
			BG Danger
		</div>
		<div class="bg-success">
			BG Success
		</div>
		<div class="bg-dark text-white p-5">
			BG Info
			<div class="bg-white text-dark">
				BG White
			</div>
			<div class="bg-transparent text-white">
				BG Transparent
			</div>
		</div>	
			<div class="bg-primary my-5 px-4 text-white">
				<h4 class="text-center">Bootstrap Padding and Margins can be applied to specific sides.</h4>
				<ul>
					<li>t - sets either margin or padding at the top side of the element: mt or pt</li>
					<li>b - sets either margin or padding at the bottom side of the element: mb or pb</li>
					<li>x - the margin or padding at the left and right side of the element: mx or px</li>
					<li>y - the margin or padding at the top and bottom side of the element: my or py</li>
					<li>l - the margin or padding at the left side of the element: ml or pl</li>
					<li>r - the margin or padding at the right side of the element: mr or pr</li>
				</ul>
			</div>
		
		<!-- To add a border in bootstrap, we add the class border. It will add subtle border which can be set in any of our element side. However, this border will be gray and subtle. So, we add the proper color to the border.-->
		<div class="border border-dark bg-info mb-5 px-3 text-dark">
			<h4>Bootstrap padding and margin has sizes from 0 - 5 and auto</h4>
			<ul class="pb-3">
				<li>0 - sets the margin or padding to 0</li>
				<li>1 - sets the margin or padding to .25rem or 4px of the root elemet font size is 16px</li>
				<li>2 - sets the margin or padding to .5rem or 8px of the root elemet font size is 16px</li>
				<li>3 - sets the margin or padding to 1rem or 16px of the root elemet font size is 16px</li>
				<li>4 - sets the margin or padding to 1.5rem or 24px of the root elemet font size is 16px</li>
				<li>5 - sets the margin or padding to 3rem or 48px of the root elemet font size is 16px</li>
				<li>auto - sets automatically calculated margin based on the amount of space left.</li>
			</ul>
		</div>

		<div class="mt-5 p-3 bg-warning">
			Bootstrap has its own responsive paddings and margins. Wherein classes are: m stands for margin and p stands for padding.
		</div>
	</div>

	<div class="border border-dark mt-5 p-4"> Div With Dark Border </div>
	<div class="border border-warning mt-3 p-3 bg-secondary">Div with Warning Border</div>

	<div class="bg-dark p-3 my-3">
		<h2 class="text-center text-white">Bootstrap Links</h2>
		<a href="" class="text-success text-decoration-none">This link is Green</a>
		<a href="" class="text-danger">This link is Red</a>
		<a href="" class="text-warning">This link is Yellow</a>
		<a href="" class="btn btn-primary">I am a link</a>
	</div>
	<div class="p-3 bg-secondary text-center">
		<h2>Bootstrap Buttons</h2>
		<button class="btn">No Color</button>
		<button class="btn btn-danger">Btn Danger</button>
		<button class="btn btn-success">Btn Success</button>
		<button class="btn btn-primary">Btn Primary</button>
		<button class="btn btn-outline-danger">Btn Danger Outline</button>
		<button class="btn btn-outline-primary">Btn Primary Outline</button>
	</div>
	<div class="bg-dark">
		<h2 class="text-center">Bootstrap Text Alignments</h2>
		<h4 class="text-left bg-danger">Left Alignment (Default Alignment)</h4>
		<h4 class="text-center bg-primary">Center Alignment (Default Alignment)</h4>
		<h4 class="text-right bg-success">Right Alignment (Default Alignment)</h4>
	</div>
	<div class="bg-secondary text-center my-5">
		<h2>Aligning Text and Inline Elements</h2>
		<img src="https://placekitten.com/300/300" alt="catto">
		<button class="btn btn-danger">Sample</button>
		<!-- To center block elements, add a definite with to the block element and use mx-auto to set automatic margins on the left and right side of the element. -->
		<p class="border border-dark bg-primary my-3 mx-auto"style="width: 20%;">Block Element</p>
	</div>
	<div class="bg-dark mt-5 text-center">
		<h2>Border Radius in Bootstrap</h2>
		<div class="bg-warning border border-dark rounded-circle p-5" style="height: 200px; width: 200px;">I look like a Circle</div>
		<div class="bg-primary border border-dark rounded p-5" style="height: 200px; width: 200px;">I have rounded corners</div>
		<div class="rounded-pill border border-dark bg-info p-5">I look like a pill
		</div>
	</div>



	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>